Page MenuHomePhabricator

[MIPS] Use ABI to determine stack alignment.
ClosedPublic

Authored by bsdjhb on Aug 4 2017, 9:48 AM.

Details

Summary

The stack alignment depends on the ABI (16 bytes for N32 and N64 and 8
bytes for O32), not the CPU type.

Event Timeline

bsdjhb created this revision.Aug 4 2017, 9:48 AM
bsdjhb set the repository for this revision to rL LLVM.Aug 4 2017, 9:49 AM

Could you add test cases?

sdardis edited edge metadata.Aug 5 2017, 11:52 AM

Specifically, can you extend test/CodeGen/Mips/stack-alignment.ll to cover mips3 and mips4 with the n64 abi?

bsdjhb updated this revision to Diff 110086.Aug 7 2017, 2:21 PM

Add tests for older -mcpu arguments with N64 ABI.

sdardis accepted this revision.Aug 8 2017, 8:57 AM

LGTM.

This revision is now accepted and ready to land.Aug 8 2017, 8:57 AM
sdardis added inline comments.Aug 8 2017, 9:02 AM
test/CodeGen/Mips/stack-alignment.ll
8

That needs to be daddiu.

bsdjhb updated this revision to Diff 110239.Aug 8 2017, 11:14 AM
  • Use daddiu for 64-bit.
bsdjhb marked an inline comment as done.Aug 8 2017, 11:15 AM

You need me to commit this for you?

bsdjhb closed this revision.Aug 11 2017, 3:08 PM